<?php
/* ************************************************************************** *
 *																										*
 * Core mod - lib_detail.php v3.1 by Slodave, januar 2008 - avgust 2008			*
 * http://www.zabec.net																			*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka skrib za detailni pogled v modulih, klicano preko ajaxa				*
 * ************************************************************************** */

//preverimo spremenljivke
$clean['id'] = intval($_POST['id']);

//zgeneriramo ustrezne template
$tpl = new TemplatePower($ajax."templates/".$settings['template']."/moduli/pregled.tpl");
$tpl->prepare();
$tpl->assignGlobal("template_dir", "templates/".$settings['template']);

$tpl->assignGlobal("id", $clean['id']);

//generiramo jezikovne spremenljivke
require('../lib_language.php');

//če so aktivne kategorije
if($mod_settings['kategorija']) {
	$katsql = "LEFT JOIN ".$mod_settings['kat_tabela']." AS t ON p.kategorija = t.id ";
	$fkatsql = ", t.ime AS ime_kategorija";
}

//dobimo array z vrednostmi iz standardne tabele
$result = $db->query("SELECT p.*".$fkatsql." FROM ".$mod_settings['tabela']." AS p ".$katsql."WHERE p.id = '$clean[id]'");
$r = $result->fetch();

//prikažemo jeziki
if(in_array($_POST['lang'],$mod_settings['active_lang'])) {
	$clean['lang'] = $_POST['lang'];
}
//če je samo eden prikažemo default jezik
else {
	$clean['lang'] = $mod_settings['active_lang'][0];
}

if($clean['lang']) {
	$tpl->assign("lang", $clean['lang']);
	//generiramo zavihek, funkcija klicana iz lib_mod_general.php
	generate_lang_zavihek($clean['lang']);

	//dobimo array z vrednostmi iz jezikovnih tabel
	$langresult = $db->query("SELECT * FROM ".$mod_settings['tabela']."_".$clean['lang']." WHERE item_id = '$clean[id]'");
	$langr = $langresult->fetch();
}

//generiramo prvi del naslova, funkcija iz lib_simple_template.php
generate_naslov($modul_selected);


//custom funkcija za naslov
if(function_exists("custom_naslov")){
	$custom_naslov = custom_naslov($r, $langr);
}
//če za naslov ni poskrbela custom funkcija
if(!$custom_naslov) {
	//generiramo preostali del naslova
	if(strpos($mod_settings['listing_db_polja'][0], '.') === false) {
		$tpl->assign("detail_naslov", $r[$mod_settings['listing_db_polja'][0]]);
	}
	//polje je jezikovno pogojeno
	else {
		$polje = explode(".", $mod_settings['listing_db_polja'][0]);
		$polje = $polje[1];
		$tpl->assign("detail_naslov", $langr[$polje]);
	}
}

//custom funkcija za generiranje celotnega detailnega pregleda
if(function_exists("custom_detail")){
	$custom_detail = custom_detail($r, $langr, $tpl);
}
//če za generiranje detailnega pogleda ni poskrbela custom funkcija
if(!$custom_detail) {
	//osnovna slika detailnega pregleda
	if($mod_settings['slika'] AND $r['slika']) {
		$tpl->newBlock("osnovna_slika");
		$tpl->assign("slika", $mod_settings['slika_path'].$r['slika']);
	}

	//standardni prikaz, ki ga generiramo v posameznem modulu
	include($path."/custom_detail.php");

	if($mod_settings['kategorija']) {
		$tpl->newBlock("osnovna_polja");
		$tpl->assign("naslov", $lang['pregled_kategorija']);
		$tpl->assign("vsebina", $r['ime_kategorija']);
	}

	//generiramo galerijo
	if($mod_settings['galerija']) {
		//urejanje datotek iz lib_file.php
		$file = new fileHandling();

		$result = $db->query("SELECT * FROM ".$mod_settings['galerija_tabela']." WHERE item_id = '$clean[id]'");
		while($r = $result->fetch()) {
			$tpl->newBlock("galerija_slika");
				$tpl->assign("slika", $mod_settings['slika_path'].$r['slika']);
				$tpl->assign("id",$r['id']);
				$tpl->assign("slika_velikost",$file->velikost("../../".$mod_settings['datoteka_path'].$r['datoteka']));
				$tpl->assign("slika_ime",$r['slika']);
				$tpl->assign("slika_opis",$r['opis_'.$clean['lang']]);
		}
	}

	if($mod_settings['datoteke']) {
		//urejanje datotek iz lib_file.php
		$file = new fileHandling();

		$result = $db->query("SELECT datoteka FROM ".$mod_settings['datoteke_tabela']." WHERE item_id = '$clean[id]'");
		$i = 0;
		while($r = $result->fetch()) {
			if($i == 0) {
				$tpl->newBlock("datoteke");
			}
			$path = "../../".$mod_settings['datoteka_path'].$r['datoteka'];
			$tpl->newBlock("posamezna_datoteka");
			$tpl->assign("datoteka", $r['datoteka']);
			$tpl->assign("link",$path);
			$tpl->assign("velikost", $file->velikost($path));

			//dobimo ustrezno ikono za določen tip datoteke, klicano iz lib_simple_template.php
			$ikona = get_ikona_za_datoteko($r['datoteka']);

			$tpl->assign("ikona", $ikona);
			$i++;
		}
	}
}

//generiramo prikaz sprememb itema, klicano iz lib_spremembe.php
spremembeBox($clean['id']);

$tpl->printToScreen();
?>